> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetches a list of supported charge box models



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml get /v2/chargeboxes/models
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/chargeboxes/models:
    get:
      tags:
        - Chargeboxes v2
      summary: Fetches a list of supported charge box models
      operationId: ChargeboxController_getChargeboxModels_v2
      parameters:
        - name: nextPageCursor
          required: false
          in: query
          description: Cursor to be used to request the next page.
          schema:
            example: My0xMDAw
            type: string
        - name: previousPageCursor
          required: false
          in: query
          description: Cursor to be used to request the previous page.
          schema:
            example: My0xMDAw
            type: string
        - name: limit
          required: false
          in: query
          description: Limit amount of returned records.
          schema:
            minimum: 1
            maximum: 100
            default: 25
            type: integer
        - name: search
          required: false
          in: query
          description: Search term to filter charge box models by name and/or vendor
          schema:
            example: Zaptec
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetChargeboxModelsResponseBodyDto'
        '400':
          description: Bad Request provided. A message will describe the issue.
        '403':
          description: Authorization header token is invalid or not provided.
        '500':
          description: Internal Server Error.
      security:
        - Authorization: []
components:
  schemas:
    GetChargeboxModelsResponseBodyDto:
      type: object
      properties:
        data:
          description: List of supported charge box models.
          type: array
          items:
            $ref: '#/components/schemas/GetChargeboxModelResponseBodyDto'
        nextPageCursor:
          type: string
          description: Cursor to be used to request the next page.
          example: My0xMDAw
        previousPageCursor:
          type: string
          description: Cursor to be used to request the previous page.
          example: My0xMDAw
      required:
        - data
    GetChargeboxModelResponseBodyDto:
      type: object
      properties:
        id:
          type: number
          description: ID that uniquely identifies the model
          example: 123456
        vendor:
          type: string
          description: The name of the vendor that produced the charge box
          example: Zaptec
        name:
          type: string
          description: Specific name of model
          example: HYC_300
        description:
          type: string
          description: A short description of the charge box model
          example: Latest and greatest from Zaptec
        plugAndChargeValidated:
          type: boolean
          description: >-
            Boolean flag that identifies whether the model supports
            plug-and-charge
          example: true
        firmwareManagementValidated:
          type: boolean
          description: >-
            Boolean flag that identifies whether the model supports firmware
            management
          example: true
        updatedAt:
          format: date-time
          type: string
          description: Last update timestamp
          example: '2025-01-27 09:38:41'
        createdAt:
          format: date-time
          type: string
          description: Created at timestamp
          example: '2025-01-27 09:38:41'
      required:
        - id
        - vendor
        - name
        - plugAndChargeValidated
        - firmwareManagementValidated
        - updatedAt
        - createdAt
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: '`Authorization: Bearer <SPIRII_API_KEY>`'

````